Topic
  • 4 replies
  • Latest Post - ‏2015-04-13T11:17:01Z by joseangelgomezlopez
SystemAdmin
SystemAdmin
6902 Posts

Pinned topic unable launch the firefox browser on AIX 6.1

‏2013-03-09T20:10:13Z |
I am getting following errors..Can you please provide any suggesions..

bash-4.2# firefox
Could not load program /usr/mozilla/firefox/firefox-bin:
Could not load module /opt/freeware/lib/libfontconfig.a(libfontconfig.so.1).
Dependent module /usr/lib/libiconv.a(libiconv.so.2) could not be loaded.
Member libiconv.so.2 is not found in archive
Could not load module firefox-bin.
Dependent module /opt/freeware/lib/libfontconfig.a(libfontconfig.so.1) could not be loaded.
Could not load module .
bash-4.2#
Updated on 2013-03-10T06:24:59Z at 2013-03-10T06:24:59Z by romeo_ninov
  • romeo_ninov
    romeo_ninov
    31 Posts

    Re: unable launch the firefox browser on AIX 6.1

    ‏2013-03-10T06:24:59Z  
    You do not have two libraries:
    libfontconfig.so.1
    libiconv.so.2
    Install the RPM packages
  • micheri
    micheri
    1 Post

    Re: unable launch the firefox browser on AIX 6.1

    ‏2013-08-12T18:26:37Z  
    You do not have two libraries:
    libfontconfig.so.1
    libiconv.so.2
    Install the RPM packages

    I am getting a similar error: 

    bash-4.2# firefox
    exec(): 0509-036 Cannot load program /usr/mozilla/firefox/firefox-bin because of the following errors:
            0509-022 Cannot load module /usr/lib/libcairo.a(libcairo.so.2).
            0509-150   Dependent module /usr/lib/libXrender.a(libXrender.so.1) could not be loaded.
            0509-152   Member libXrender.so.1 is not found in archive
            0509-022 Cannot load module firefox-bin.
            0509-150   Dependent module /usr/lib/libcairo.a(libcairo.so.2) could not be loaded.
            0509-022 Cannot load module .

    I do have those RPM installed but I wonder if pre-requisites for another app bugged the firefox app.  Client's wishlist seem to be endless at times...

    Smitty fails to repush firefox bundle and the client started production before noticing the browser break so I can't rebuild OS.

    I attached the list of rpm in a file as it didn't all fit in here. 

    Attachments

    Updated on 2013-08-13T13:19:04Z at 2013-08-13T13:19:04Z by micheri
  • igtoth
    igtoth
    2 Posts

    Re: unable launch the firefox browser on AIX 6.1

    ‏2014-05-18T03:58:00Z  
    • micheri
    • ‏2013-08-12T18:26:37Z

    I am getting a similar error: 

    bash-4.2# firefox
    exec(): 0509-036 Cannot load program /usr/mozilla/firefox/firefox-bin because of the following errors:
            0509-022 Cannot load module /usr/lib/libcairo.a(libcairo.so.2).
            0509-150   Dependent module /usr/lib/libXrender.a(libXrender.so.1) could not be loaded.
            0509-152   Member libXrender.so.1 is not found in archive
            0509-022 Cannot load module firefox-bin.
            0509-150   Dependent module /usr/lib/libcairo.a(libcairo.so.2) could not be loaded.
            0509-022 Cannot load module .

    I do have those RPM installed but I wonder if pre-requisites for another app bugged the firefox app.  Client's wishlist seem to be endless at times...

    Smitty fails to repush firefox bundle and the client started production before noticing the browser break so I can't rebuild OS.

    I attached the list of rpm in a file as it didn't all fit in here. 

    I am having the same problem: (any idea how to fix that?)

    [server01:root:/:] firefox
    exec(): 0509-036 Cannot load program /opt/firefox/firefox-bin because of the following errors:
            0509-022 Cannot load module /usr/lib/libcairo.a(libcairo.so.2).
            0509-150   Dependent module /usr/lib/libXrender.a(libXrender.so.1) could not be loaded.
            0509-152   Member libXrender.so.1 is not found in archive
            0509-022 Cannot load module firefox-bin.
            0509-150   Dependent module /usr/lib/libcairo.a(libcairo.so.2) could not be loaded.
            0509-022 Cannot load module .

  • joseangelgomezlopez
    1 Post

    Re: unable launch the firefox browser on AIX 6.1

    ‏2015-04-13T11:17:01Z  
    • igtoth
    • ‏2014-05-18T03:58:00Z

    I am having the same problem: (any idea how to fix that?)

    [server01:root:/:] firefox
    exec(): 0509-036 Cannot load program /opt/firefox/firefox-bin because of the following errors:
            0509-022 Cannot load module /usr/lib/libcairo.a(libcairo.so.2).
            0509-150   Dependent module /usr/lib/libXrender.a(libXrender.so.1) could not be loaded.
            0509-152   Member libXrender.so.1 is not found in archive
            0509-022 Cannot load module firefox-bin.
            0509-150   Dependent module /usr/lib/libcairo.a(libcairo.so.2) could not be loaded.
            0509-022 Cannot load module .

    try this sequence:
     
    1. uninstall previous firefox version
    2. download an install the following packages:
    2.1. firefox-3.6.28-3.aix5.3.ppc.rpm ( http://www.linkitup.de/ForAIX/Firefox/ )
    2.1. libXcursor-1.1.14-1.aix6.1.ppc.rpm ( http://www.perzl.org/aix/index.php?n=Main.LibXcursor )
    3. export LIBPATH=/opt/freeware/lib64:/opt/freeware/lib
    4. launch firefox

    It worked for me.